Overview | Package | Class | Use | Tree | Deprecated | Index | Help
|  | BEA Systems, Inc.
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: INNER | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

WebLogic Server 6.0sp2 API Reference

## weblogic.html
Class HtmlElement

    java.lang.Object
      |
      +--weblogic.html.HtmlElement

Direct Known Subclasses:
  ElementWithAttributes, FileElement, HtmlContainer, MarkupElement, StringElement

public abstract class HtmlElement
extends java.lang.Object

Parent class for htmlKona elements. HtmlElements are placed on htmlKona WebPages using a canvas metaphor.

Use methods in this class to set font-level (physical) attributes that include TT, I, B, U, Strike, Big, Small, Sub, and Sup. This class also contains methods for setting phrase-level (logical) attributes like Emphasis, Strong, Dfn, Code, Sample, Kbd, Var, and Cite. Using the as*Element() methods allows nesting of tags around a particular text or phrase.

Author:
  Copyright (c) 1995-1998 WebLogic, Inc. All Rights Reserved., Copyright (c) 1998-2000 BEA Systems, Inc. All Rights Reserved.
  Copyright © 2001 BEA Systems, Inc. All Rights Reserved.

Field Summary
`protected java.lang.String` | `codeset` Deprecated.
`boolean` | `useObsolete` Deprecated.

Constructor Summary
`HtmlElement()` Deprecated. Constructs an HtmlElement.

Method Summary
`AnchorElement` | `asAnchorElement(java.lang.String anchorname)` Deprecated. Returns an HtmlElement as an AnchorElement with the NAME attribute set to the specified anchorname.
`BigElement` | `asBigElement()` Deprecated. Returns an HtmlElement as a BigElement.
`BlockquoteElement` | `asBlockquoteElement()` Deprecated. Returns an HtmlElement as a BlockquoteElement.
`BoldElement` | `asBoldElement()` Deprecated. Returns an HtmlElement as a BoldElement.
`CenteredElement` | `asCenteredElement()` Deprecated. Returns an HtmlElement as a CenteredElement.
`CiteElement` | `asCiteElement()` Deprecated. Returns an HtmlElement as a CiteElement.
`CodeElement` | `asCodeElement()` Deprecated. Returns an HtmlElement as a CodeElement.
`CommentElement` | `asCommentElement()` Deprecated. Returns an HtmlElement as a CommentElement.
`DefineTermElement` | `asDefineTermElement()` Deprecated. Returns an HtmlElement as a DefineTermElement.
`EmphasisElement` | `asEmphasisElement()` Deprecated. Returns an HtmlElement as a EmphasisElement.
`FontElement` | `asFontElement(int size)` Deprecated. Returns an HtmlElement as a FontElement set to the specified font size.
`FontElement` | `asFontElement(java.lang.String size)` Deprecated. Returns an HtmlElement as a FontElement set to the specified font size.
`FontElement` | `asFontElement(java.lang.String size, java.lang.String color)` Deprecated. Returns an HtmlElement as a FontElement set to the specified size and color.
`HtmlContainer` | `asHtmlContainer()` Deprecated. Returns an HtmlElement as an HtmlContainer.
`ItalicElement` | `asItalicElement()` Deprecated. Returns HtmlElement as an ItalicElement.
`KeyboardElement` | `asKeyboardElement()` Deprecated. Returns HtmlElement as an KeyboardElement.
`LiteralElement` | `asLiteralElement()` Deprecated. Returns HtmlElement as a LiteralElement.
`ParagraphElement` | `asParagraphElement()` Deprecated. Returns an HtmlElement as a ParagraphElement.
`SampleElement` | `asSampleElement()` Deprecated. Returns HtmlElement as a SampleElement.
`SmallElement` | `asSmallElement()` Deprecated. Returns an HtmlElement as a SmallElement.
`StrikeElement` | `asStrikeElement()` Deprecated. Returns an HtmlElement as a StrikeElement.
`StrongElement` | `asStrongElement()` Deprecated. Returns an HtmlElement as a StrongElement.
`SubscriptElement` | `asSubscriptElement()` Deprecated. Returns an HtmlElement as a SubscriptElement.
`SuperscriptElement` | `asSuperscriptElement()` Deprecated. Returns an HtmlElement as a SuperscriptElement.
`TeletypeElement` | `asTeletypeElement()` Deprecated. Returns an HtmlElement as a TeletypeElement.
`UnderlineElement` | `asUnderlineElement()` Deprecated. Returns an HtmlElement as an UnderlineElement.
`VariableElement` | `asVariableElement()` Deprecated. Returns an HtmlElement as an VariableElement.
`protected static java.lang.String` | `getVersion()` Deprecated.
`abstract void` | `output(java.io.OutputStream ostr)` Deprecated. Outputs an HtmlElement to the specified output stream.
`abstract void` | `output(java.io.OutputStream ostr, java.lang.String codeset)` Deprecated. Outputs an HtmlElement to the specified output stream.
`abstract void` | `output(java.io.PrintWriter pw)` Deprecated. Outputs an HtmlElement to the specified print writer.
`static void` | `setAnchorMode(int anchorType)` Deprecated.
`void` | `setCodeset(java.lang.String codeset)` Deprecated. Sets the codeset that data is written in
`java.lang.String` | `toString()` Deprecated.
`java.lang.String` | `toString(java.lang.String codeset)` Deprecated. Returns the string representation of an HtmlElement.
`int` | `widthAsLiteral()` Deprecated. Constrains the width of an HtmlElement to its literal width.

Methods inherited from class java.lang.Object
`clone, equals, finalize, getClass, hashCode, notify, notifyAll, wait, wait, wait`

Field Detail

### useObsolete

    public boolean useObsolete

  Deprecated.

### codeset

    protected java.lang.String codeset

  Deprecated.

Constructor Detail

### HtmlElement

    public HtmlElement()

  Deprecated.
  Constructs an HtmlElement.

Method Detail

### getVersion

    protected static java.lang.String getVersion()

  Deprecated.

### setCodeset

    public void setCodeset(java.lang.String codeset)

  Deprecated.
  Sets the codeset that data is written in

### asBigElement

    public BigElement asBigElement()

  Deprecated.
  Returns an HtmlElement as a BigElement.

  Returns:
    BigElement

### asBlockquoteElement

    public BlockquoteElement asBlockquoteElement()

  Deprecated.
  Returns an HtmlElement as a BlockquoteElement.

  Returns:
    BlockquoteElement

### asBoldElement

    public BoldElement asBoldElement()

  Deprecated.
  Returns an HtmlElement as a BoldElement.

  Returns:
    BoldElement

### asCodeElement

    public CodeElement asCodeElement()

  Deprecated.
  Returns an HtmlElement as a CodeElement.

  Returns:
    CodeElement

### asItalicElement

    public ItalicElement asItalicElement()

  Deprecated.
  Returns HtmlElement as an ItalicElement.

  Returns:
    ItalicElement

### asParagraphElement

    public ParagraphElement asParagraphElement()

  Deprecated.
  Returns an HtmlElement as a ParagraphElement.

  Returns:
    ParagraphElement

### asSmallElement

    public SmallElement asSmallElement()

  Deprecated.
  Returns an HtmlElement as a SmallElement.

  Returns:
    SmallElement

### asStrikeElement

    public StrikeElement asStrikeElement()

  Deprecated.
  Returns an HtmlElement as a StrikeElement.

  Returns:
    StrikeElement

### asSubscriptElement

    public SubscriptElement asSubscriptElement()

  Deprecated.
  Returns an HtmlElement as a SubscriptElement.

  Returns:
    SubscriptElement

### asSuperscriptElement

    public SuperscriptElement asSuperscriptElement()

  Deprecated.
  Returns an HtmlElement as a SuperscriptElement.

  Returns:
    SuperscriptElement

### asTeletypeElement

    public TeletypeElement asTeletypeElement()

  Deprecated.
  Returns an HtmlElement as a TeletypeElement.

  Returns:
    TeletypeElement

### asUnderlineElement

    public UnderlineElement asUnderlineElement()

  Deprecated.
  Returns an HtmlElement as an UnderlineElement.

  Returns:
    UnderlineElement

### asCiteElement

    public CiteElement asCiteElement()

  Deprecated.
  Returns an HtmlElement as a CiteElement.

  Returns:
    CiteElement

### asDefineTermElement

    public DefineTermElement asDefineTermElement()

  Deprecated.
  Returns an HtmlElement as a DefineTermElement.

  Returns:
    DefineTermElement

### asEmphasisElement

    public EmphasisElement asEmphasisElement()

  Deprecated.
  Returns an HtmlElement as a EmphasisElement.

  Returns:
    EmphasisElement

### asKeyboardElement

    public KeyboardElement asKeyboardElement()

  Deprecated.
  Returns HtmlElement as an KeyboardElement.

  Returns:
    KeyboardElement

### asLiteralElement

    public LiteralElement asLiteralElement()

  Deprecated.
  Returns HtmlElement as a LiteralElement.

  Returns:
    LiteralElement

### asSampleElement

    public SampleElement asSampleElement()

  Deprecated.
  Returns HtmlElement as a SampleElement.

  Returns:
    SampleElement

### asStrongElement

    public StrongElement asStrongElement()

  Deprecated.
  Returns an HtmlElement as a StrongElement.

  Returns:
    StrongElement

### asVariableElement

    public VariableElement asVariableElement()

  Deprecated.
  Returns an HtmlElement as an VariableElement.

  Returns:
    VariableElement

### asAnchorElement

    public AnchorElement asAnchorElement(java.lang.String anchorname)

  Deprecated.
  Returns an HtmlElement as an AnchorElement with the NAME attribute set to the specified anchorname. Use this method to set an internal document link around an HtmlElement.

  Parameters:
    `anchorname` - Name for this internal anchor, probably with a leading "#"
  Returns:
    AnchorElement

### asCenteredElement

    public CenteredElement asCenteredElement()

  Deprecated.
  Returns an HtmlElement as a CenteredElement.

  Returns:
    CenteredElement

### asCommentElement

    public CommentElement asCommentElement()

  Deprecated.
  Returns an HtmlElement as a CommentElement.

  Returns:
    CommentElement

### asFontElement

    public FontElement asFontElement(int size)

  Deprecated.
  Returns an HtmlElement as a FontElement set to the specified font size.

  Parameters:
    `size` - Font size in points
  Returns:
    FontElement

### asFontElement

    public FontElement asFontElement(java.lang.String size)

  Deprecated.
  Returns an HtmlElement as a FontElement set to the specified font size.

  Parameters:
    `size` - Font size in points
  Returns:
    FontElement

### asFontElement

    public FontElement asFontElement(java.lang.String size,
                                     java.lang.String color)

  Deprecated.
  Returns an HtmlElement as a FontElement set to the specified size and color.

  Parameters:
    `size` - Font size in points
    `color` - Constant from HtmlColor class, or hex RGB value with "#"
  Returns:
    FontElement

### asHtmlContainer

    public HtmlContainer asHtmlContainer()
                                  throws HtmlException

  Deprecated.
  Returns an HtmlElement as an HtmlContainer.

  Returns:
    HtmlContainer
  Throws:
    HtmlException - if there is an error

### widthAsLiteral

    public int widthAsLiteral()

  Deprecated.
  Constrains the width of an HtmlElement to its literal width.

  Returns:
    Zero

### toString

    public final java.lang.String toString(java.lang.String codeset)

  Deprecated.
  Returns the string representation of an HtmlElement.

  Returns:
    HtmlElement

### toString

    public final java.lang.String toString()

  Deprecated.

  Overrides:
    toString in class java.lang.Object

### output

    public abstract void output(java.io.OutputStream ostr)
                         throws java.io.IOException

  Deprecated.
  Outputs an HtmlElement to the specified output stream.

  Parameters:
    `out` - OutputStream
  Throws:
    java.io.IOException - if there is an IO error

### output

    public abstract void output(java.io.PrintWriter pw)
                         throws java.io.IOException

  Deprecated.
  Outputs an HtmlElement to the specified print writer.

  Parameters:
    `out` - PrintWriter
  Throws:
    java.io.IOException - if there is an IO error

### output

    public abstract void output(java.io.OutputStream ostr,
                                java.lang.String codeset)
                         throws java.io.IOException

  Deprecated.
  Outputs an HtmlElement to the specified output stream.

  Parameters:
    `out` - OutputStream
    `codeset` - Java Codeset
  Throws:
    java.io.IOException - if there is an IO error

### setAnchorMode

    public static void setAnchorMode(int anchorType)

  Deprecated.

Overview | Package | Class | Use | Tree | Deprecated | Index | Help
| Documentation is available at http://e-docs.bea.com/wls/docs60
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: INNER | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD